Subject: Re: Re: FVWM: crazy idea

From: Tim Phipps <[email-masked]>
Date: Fri, 4 Oct 1996 08:49:32 +0100

>  +-----+
>  |     |`-----+
>  |     ||     |\
>  |     ||     | \
>  +-----+|     |`----+
>   \   +-`     ||    |\
>    \  |       ||    ||
>     \ +-------+|    ||
>      \ `    `-------+|
>       `-`----`-------`
I remember an ancient X program that would draw shadows on the root window just
like this.  It used a stipple of black dots to darken the root window below
application windows.  It used the stacking order to increase the depth of shadow
for the top windows.  It did not draw shadows on top of other windows, just the
root window so the effect wasn't perfect.  This could be done with a module
(if anyone wants to volunteer!), I don't think there's any reason to put
it in fvwm itself.

Cheers,
Tim Phipps.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Richard Neswold <[email-masked]>
Date: Fri, 04 Oct 1996 08:59:50 -0500 (CDT)

On Fri, 4 Oct 1996, Tim Phipps wrote:

> >  +-----+
> >  |     |`-----+
> >  |     ||     |\
> >  |     ||     | \
> >  +-----+|     |`----+
> >   \   +-`     ||    |\
> >    \  |       ||    ||
> >     \ +-------+|    ||
> >      \ `    `-------+|
> >       `-`----`-------`
> I remember an ancient X program that would draw shadows on the root window
> just like this.  It used a stipple of black dots to darken the root window
> below application windows.  It used the stacking order to increase the
> depth of shadow for the top windows.  It did not draw shadows on top of
> other windows, just the root window so the effect wasn't perfect.

I had done this form of shadowing in a DOS text-mode library I wrote in the
late 80's. Each window had a "level" attribute, which determined how "high" 
above the desktop it was. Watching the window's shadow vary its height as
you dragged it across the screen was a very, very neat effect. 

> This could be done with a module (if anyone wants to volunteer!), I don't
> think there's any reason to put it in fvwm itself.

I agree.

  Rich

 ========================================================================
  Richard Neswold, Accelerator Div./Controls Dept |     [email-masked]
  Fermilab, PO Box 500, MS 347, Batavia, IL 60510 | voice (630) 840-3454
  'finger [email-masked]' for PGP key     |   fax (630) 840-3093

---

From: Marco Mariani <[email-masked]>
Date: Fri, 4 Oct 1996 20:20:43 -0100 (GMT-0100)

> other windows, just the root window so the effect wasn't perfect.

There was an amiga program which did draw shadows on top of other windows
too, and you could calibrate the depth and darkness of the shadows.
The effect was really nice.

All The Best,
 Marco

Have you given something back to the Net today?